Package org.globus.gram.internal

# Interface GRAMProtocolErrorConstants

All Known Implementing Classes:
  `GramException`, `WaitingForCommitException`

public interface GRAMProtocolErrorConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ARG_FILE_CREATION_FAILED`
`static final int`
`BAD_ARGUMENTS`
`static final int`
`BAD_DIRECTORY`
`static final int`
`BAD_GATEKEEPER_CONTACT`
`static final int`
`BAD_RSL`
`static final int`
`BAD_RSL_ENVIRONMENT`
`static final int`
`BAD_SCRIPT_ARG_FILE`
`static final int`
`CALLBACK_NOT_FOUND`
`static final int`
`CLIENT_CONTACT_NOT_FOUND`
`static final int`
`COMMIT_TIMED_OUT`
`static final int`
`CONNECTION_FAILED`
`static final int`
`DELEGATION_FAILED`
`static final int`
`DRYRUN`
`static final int`
`DUCT_INIT_FAILED`
`static final int`
`DUCT_LSP_FAILED`
`static final int`
`ERROR_AUTHORIZATION`
`static final int`
`ERROR_CONNECTION_FAILED`
`static final int`
`ERROR_CONTACTING_JOB_MANAGER`
`static final int`
`ERROR_CREATING_PIPE`
`static final int`
`ERROR_FCNTL_FAILED`
`static final int`
`ERROR_FORKING_EXECUTABLE`
`static final int`
`ERROR_INSERTING_CLIENT_CONTACT`
`static final int`
`ERROR_OPENING_CACHE`
`static final int`
`ERROR_OPENING_CACHE_USER_PROXY`
`static final int`
`ERROR_OPENING_JOBMANAGER_SCRIPT`
`static final int`
`ERROR_OPENING_STDERR`
`static final int`
`ERROR_OPENING_STDOUT`
`static final int`
`ERROR_PROTOCOL_FAILED`
`static final int`
`ERROR_RSL_PARADYN`
`static final int`
`ERROR_RSL_PROJECT`
`static final int`
`ERROR_RSL_QUEUE`
`static final int`
`ERROR_RSL_STDERR`
`static final int`
`ERROR_RSL_STDIN`
`static final int`
`ERROR_RSL_STDOUT`
`static final int`
`ERROR_SERVICE_NOT_FOUND`
`static final int`
`ERROR_SIGNALING_JOB`
`static final int`
`ERROR_STAGING_EXECUTABLE`
`static final int`
`ERROR_STAGING_STDIN`
`static final int`
`ERROR_STDERR_FILENAME_FAILED`
`static final int`
`ERROR_STDOUT_FILENAME_FAILED`
`static final int`
`EXECUTABLE_NOT_FOUND`
`static final int`
`EXECUTABLE_PERMISSIONS`
`static final int`
`EXECUTABLE_UNDEFINED`
`static final int`
`GATEKEEPER_MISCONFIGURED`
`static final int`
`HTTP_UNFRAME_FAILED`
`static final int`
`HTTP_UNPACK_FAILED`
`static final int`
`INALID_REQUEST`
`static final int`
`INSUFFICIENT_FUNDS`
`static final int`
`INVALID_COUNT`
`static final int`
`INVALID_HOST_COUNT`
`static final int`
`INVALID_JOB_CONTACT`
`static final int`
`INVALID_JOB_MANAGER_TYPE`
`static final int`
`INVALID_JOB_QUERY`
`static final int`
`INVALID_JOBSTATUS`
`static final int`
`INVALID_JOBTYPE`
`static final int`
`INVALID_MAX_CPU_TIME`
`static final int`
`INVALID_MAX_MEMORY`
`static final int`
`INVALID_MAX_WALL_TIME`
`static final int`
`INVALID_MAXTIME`
`static final int`
`INVALID_MIN_MEMORY`
`static final int`
`INVALID_MYJOB`
`static final int`
`INVALID_PARADYN`
`static final int`
`INVALID_PROJECT`
`static final int`
`INVALID_QUEUE`
`static final int`
`INVALID_SCRIPT_REPLY`
`static final int`
`INVALID_SCRIPT_STATUS`
`static final int`
`JM_FAILED_ALLOW_ATTACH`
`static final int`
`JOB_CANCEL_FAILED`
`static final int`
`JOB_CONTACT_NOT_FOUND`
`static final int`
`JOB_EXECUTION_FAILED`
`static final int`
`JOB_QUERY_DENIAL`
`static final int`
`MALLOC_FAILED`
`static final int`
`MPI_NOT_SUPPORTED`
`static final int`
`NO_RESOURCES`
`static final int`
`NULL_SPECIFICATION_TREE`
`static final int`
`PARAMETER_NOT_SUPPORTED`
`static final int`
`PROTOCOL_FAILED`
`static final int`
`PROXY_FILE_OPEN_FAILED`
`static final int`
`RSL_ARGUMENTS`
`static final int`
`RSL_COUNT`
`static final int`
`RSL_DIRECTORY`
`static final int`
`RSL_DRYRUN`
`static final int`
`RSL_ENVIRONMENT`
`static final int`
`RSL_EVALUATION_FAILED`
`static final int`
`RSL_EXECUTABLE`
`static final int`
`RSL_HOST_COUNT`
`static final int`
`RSL_JOBTYPE`
`static final int`
`RSL_MAXTIME`
`static final int`
`RSL_MYJOB`
`static final int`
`STDIN_NOT_FOUND`
`static final int`
`SYSTEM_CANCELLED`
`static final int`
`TEMP_SCRIPT_FILE_FAILED`
`static final int`
`UNIMPLEMENTED`
`static final int`
`UNKNOWN_SIGNAL_TYPE`
`static final int`
`UNSUPPORTED_PARAMETER`
`static final int`
`USER_CANCELLED`
`static final int`
`USER_PROXY_NOT_FOUND`
`static final int`
`VERSION_MISMATCH`
`static final int`
`WAITING_FOR_COMMIT`
`static final int`
`ZERO_LENGTH_RSL`

## Field Details

### PARAMETER_NOT_SUPPORTED

static final int PARAMETER_NOT_SUPPORTED

See Also:
  - Constant Field Values

### INALID_REQUEST

static final int INALID_REQUEST

See Also:
  - Constant Field Values

### NO_RESOURCES

static final int NO_RESOURCES

See Also:
  - Constant Field Values

### BAD_DIRECTORY

static final int BAD_DIRECTORY

See Also:
  - Constant Field Values

### EXECUTABLE_NOT_FOUND

static final int EXECUTABLE_NOT_FOUND

See Also:
  - Constant Field Values

### INSUFFICIENT_FUNDS

static final int INSUFFICIENT_FUNDS

See Also:
  - Constant Field Values

### ERROR_AUTHORIZATION

static final int ERROR_AUTHORIZATION

See Also:
  - Constant Field Values

### USER_CANCELLED

static final int USER_CANCELLED

See Also:
  - Constant Field Values

### SYSTEM_CANCELLED

static final int SYSTEM_CANCELLED

See Also:
  - Constant Field Values

### PROTOCOL_FAILED

static final int PROTOCOL_FAILED

See Also:
  - Constant Field Values

### ERROR_PROTOCOL_FAILED

static final int ERROR_PROTOCOL_FAILED

See Also:
  - Constant Field Values

### STDIN_NOT_FOUND

static final int STDIN_NOT_FOUND

See Also:
  - Constant Field Values

### CONNECTION_FAILED

static final int CONNECTION_FAILED

See Also:
  - Constant Field Values

### ERROR_CONNECTION_FAILED

static final int ERROR_CONNECTION_FAILED

See Also:
  - Constant Field Values

### INVALID_MAXTIME

static final int INVALID_MAXTIME

See Also:
  - Constant Field Values

### INVALID_COUNT

static final int INVALID_COUNT

See Also:
  - Constant Field Values

### NULL_SPECIFICATION_TREE

static final int NULL_SPECIFICATION_TREE

See Also:
  - Constant Field Values

### JM_FAILED_ALLOW_ATTACH

static final int JM_FAILED_ALLOW_ATTACH

See Also:
  - Constant Field Values

### JOB_EXECUTION_FAILED

static final int JOB_EXECUTION_FAILED

See Also:
  - Constant Field Values

### INVALID_PARADYN

static final int INVALID_PARADYN

See Also:
  - Constant Field Values

### INVALID_JOBTYPE

static final int INVALID_JOBTYPE

See Also:
  - Constant Field Values

### INVALID_MYJOB

static final int INVALID_MYJOB

See Also:
  - Constant Field Values

### BAD_SCRIPT_ARG_FILE

static final int BAD_SCRIPT_ARG_FILE

See Also:
  - Constant Field Values

### ARG_FILE_CREATION_FAILED

static final int ARG_FILE_CREATION_FAILED

See Also:
  - Constant Field Values

### INVALID_JOBSTATUS

static final int INVALID_JOBSTATUS

See Also:
  - Constant Field Values

### INVALID_SCRIPT_REPLY

static final int INVALID_SCRIPT_REPLY

See Also:
  - Constant Field Values

### INVALID_SCRIPT_STATUS

static final int INVALID_SCRIPT_STATUS

See Also:
  - Constant Field Values

### MPI_NOT_SUPPORTED

static final int MPI_NOT_SUPPORTED

See Also:
  - Constant Field Values

### UNIMPLEMENTED

static final int UNIMPLEMENTED

See Also:
  - Constant Field Values

### TEMP_SCRIPT_FILE_FAILED

static final int TEMP_SCRIPT_FILE_FAILED

See Also:
  - Constant Field Values

### USER_PROXY_NOT_FOUND

static final int USER_PROXY_NOT_FOUND

See Also:
  - Constant Field Values

### PROXY_FILE_OPEN_FAILED

static final int PROXY_FILE_OPEN_FAILED

See Also:
  - Constant Field Values

### JOB_CANCEL_FAILED

static final int JOB_CANCEL_FAILED

See Also:
  - Constant Field Values

### MALLOC_FAILED

static final int MALLOC_FAILED

See Also:
  - Constant Field Values

### DUCT_INIT_FAILED

static final int DUCT_INIT_FAILED

See Also:
  - Constant Field Values

### DUCT_LSP_FAILED

static final int DUCT_LSP_FAILED

See Also:
  - Constant Field Values

### INVALID_HOST_COUNT

static final int INVALID_HOST_COUNT

See Also:
  - Constant Field Values

### UNSUPPORTED_PARAMETER

static final int UNSUPPORTED_PARAMETER

See Also:
  - Constant Field Values

### INVALID_QUEUE

static final int INVALID_QUEUE

See Also:
  - Constant Field Values

### INVALID_PROJECT

static final int INVALID_PROJECT

See Also:
  - Constant Field Values

### RSL_EVALUATION_FAILED

static final int RSL_EVALUATION_FAILED

See Also:
  - Constant Field Values

### BAD_RSL_ENVIRONMENT

static final int BAD_RSL_ENVIRONMENT

See Also:
  - Constant Field Values

### DRYRUN

static final int DRYRUN

See Also:
  - Constant Field Values

### ZERO_LENGTH_RSL

static final int ZERO_LENGTH_RSL

See Also:
  - Constant Field Values

### ERROR_STAGING_EXECUTABLE

static final int ERROR_STAGING_EXECUTABLE

See Also:
  - Constant Field Values

### ERROR_STAGING_STDIN

static final int ERROR_STAGING_STDIN

See Also:
  - Constant Field Values

### INVALID_JOB_MANAGER_TYPE

static final int INVALID_JOB_MANAGER_TYPE

See Also:
  - Constant Field Values

### BAD_ARGUMENTS

static final int BAD_ARGUMENTS

See Also:
  - Constant Field Values

### GATEKEEPER_MISCONFIGURED

static final int GATEKEEPER_MISCONFIGURED

See Also:
  - Constant Field Values

### BAD_RSL

static final int BAD_RSL

See Also:
  - Constant Field Values

### VERSION_MISMATCH

static final int VERSION_MISMATCH

See Also:
  - Constant Field Values

### RSL_ARGUMENTS

static final int RSL_ARGUMENTS

See Also:
  - Constant Field Values

### RSL_COUNT

static final int RSL_COUNT

See Also:
  - Constant Field Values

### RSL_DIRECTORY

static final int RSL_DIRECTORY

See Also:
  - Constant Field Values

### RSL_DRYRUN

static final int RSL_DRYRUN

See Also:
  - Constant Field Values

### RSL_ENVIRONMENT

static final int RSL_ENVIRONMENT

See Also:
  - Constant Field Values

### RSL_EXECUTABLE

static final int RSL_EXECUTABLE

See Also:
  - Constant Field Values

### RSL_HOST_COUNT

static final int RSL_HOST_COUNT

See Also:
  - Constant Field Values

### RSL_JOBTYPE

static final int RSL_JOBTYPE

See Also:
  - Constant Field Values

### RSL_MAXTIME

static final int RSL_MAXTIME

See Also:
  - Constant Field Values

### RSL_MYJOB

static final int RSL_MYJOB

See Also:
  - Constant Field Values

### ERROR_RSL_PARADYN

static final int ERROR_RSL_PARADYN

See Also:
  - Constant Field Values

### ERROR_RSL_PROJECT

static final int ERROR_RSL_PROJECT

See Also:
  - Constant Field Values

### ERROR_RSL_QUEUE

static final int ERROR_RSL_QUEUE

See Also:
  - Constant Field Values

### ERROR_RSL_STDERR

static final int ERROR_RSL_STDERR

See Also:
  - Constant Field Values

### ERROR_RSL_STDIN

static final int ERROR_RSL_STDIN

See Also:
  - Constant Field Values

### ERROR_RSL_STDOUT

static final int ERROR_RSL_STDOUT

See Also:
  - Constant Field Values

### ERROR_OPENING_JOBMANAGER_SCRIPT

static final int ERROR_OPENING_JOBMANAGER_SCRIPT

See Also:
  - Constant Field Values

### ERROR_CREATING_PIPE

static final int ERROR_CREATING_PIPE

See Also:
  - Constant Field Values

### ERROR_FCNTL_FAILED

static final int ERROR_FCNTL_FAILED

See Also:
  - Constant Field Values

### ERROR_STDOUT_FILENAME_FAILED

static final int ERROR_STDOUT_FILENAME_FAILED

See Also:
  - Constant Field Values

### ERROR_STDERR_FILENAME_FAILED

static final int ERROR_STDERR_FILENAME_FAILED

See Also:
  - Constant Field Values

### ERROR_FORKING_EXECUTABLE

static final int ERROR_FORKING_EXECUTABLE

See Also:
  - Constant Field Values

### EXECUTABLE_PERMISSIONS

static final int EXECUTABLE_PERMISSIONS

See Also:
  - Constant Field Values

### ERROR_OPENING_STDOUT

static final int ERROR_OPENING_STDOUT

See Also:
  - Constant Field Values

### ERROR_OPENING_STDERR

static final int ERROR_OPENING_STDERR

See Also:
  - Constant Field Values

### ERROR_OPENING_CACHE_USER_PROXY

static final int ERROR_OPENING_CACHE_USER_PROXY

See Also:
  - Constant Field Values

### ERROR_OPENING_CACHE

static final int ERROR_OPENING_CACHE

See Also:
  - Constant Field Values

### ERROR_INSERTING_CLIENT_CONTACT

static final int ERROR_INSERTING_CLIENT_CONTACT

See Also:
  - Constant Field Values

### CLIENT_CONTACT_NOT_FOUND

static final int CLIENT_CONTACT_NOT_FOUND

See Also:
  - Constant Field Values

### ERROR_CONTACTING_JOB_MANAGER

static final int ERROR_CONTACTING_JOB_MANAGER

See Also:
  - Constant Field Values

### INVALID_JOB_CONTACT

static final int INVALID_JOB_CONTACT

See Also:
  - Constant Field Values

### EXECUTABLE_UNDEFINED

static final int EXECUTABLE_UNDEFINED

See Also:
  - Constant Field Values

### INVALID_MIN_MEMORY

static final int INVALID_MIN_MEMORY

See Also:
  - Constant Field Values

### INVALID_MAX_MEMORY

static final int INVALID_MAX_MEMORY

See Also:
  - Constant Field Values

### HTTP_UNFRAME_FAILED

static final int HTTP_UNFRAME_FAILED

See Also:
  - Constant Field Values

### HTTP_UNPACK_FAILED

static final int HTTP_UNPACK_FAILED

See Also:
  - Constant Field Values

### INVALID_JOB_QUERY

static final int INVALID_JOB_QUERY

See Also:
  - Constant Field Values

### ERROR_SERVICE_NOT_FOUND

static final int ERROR_SERVICE_NOT_FOUND

See Also:
  - Constant Field Values

### JOB_QUERY_DENIAL

static final int JOB_QUERY_DENIAL

See Also:
  - Constant Field Values

### CALLBACK_NOT_FOUND

static final int CALLBACK_NOT_FOUND

See Also:
  - Constant Field Values

### BAD_GATEKEEPER_CONTACT

static final int BAD_GATEKEEPER_CONTACT

See Also:
  - Constant Field Values

### INVALID_MAX_WALL_TIME

static final int INVALID_MAX_WALL_TIME

See Also:
  - Constant Field Values

### INVALID_MAX_CPU_TIME

static final int INVALID_MAX_CPU_TIME

See Also:
  - Constant Field Values

### ERROR_SIGNALING_JOB

static final int ERROR_SIGNALING_JOB

See Also:
  - Constant Field Values

### UNKNOWN_SIGNAL_TYPE

static final int UNKNOWN_SIGNAL_TYPE

See Also:
  - Constant Field Values

### WAITING_FOR_COMMIT

static final int WAITING_FOR_COMMIT

See Also:
  - Constant Field Values

### COMMIT_TIMED_OUT

static final int COMMIT_TIMED_OUT

See Also:
  - Constant Field Values

### JOB_CONTACT_NOT_FOUND

static final int JOB_CONTACT_NOT_FOUND

See Also:
  - Constant Field Values

### DELEGATION_FAILED

static final int DELEGATION_FAILED

See Also:
  - Constant Field Values